//
// queue_test.go
// Copyright (C) 2022 tiglog <me@tiglog.com>
//
// Distributed under terms of the MIT license.
//

package gqueue_test

import (
	"os"
	"testing"

	"git.hexq.cn/tiglog/golib/gqueue"
	"git.hexq.cn/tiglog/golib/gtest"
)

func TestClient(t *testing.T) {
	gqueue.Init(os.Getenv("REDIS_ADDR"), os.Getenv("REDIS_USERNAME"), os.Getenv("REDIS_PASSWORD"), 0)
	c1 := gqueue.Client()
	c2 := gqueue.Client()
	gtest.NotNil(t, c1)
	gtest.Equal(t, c1, c2)
}

func TestServer(t *testing.T) {
	gqueue.Init(os.Getenv("REDIS_ADDR"), os.Getenv("REDIS_USERNAME"), os.Getenv("REDIS_PASSWORD"), 0)
	s1 := gqueue.Server()
	s2 := gqueue.Server()
	gtest.NotNil(t, s1)
	gtest.Equal(t, s1, s2)
}
